summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Matteo Bernardini2020-10-26 22:03:25 +0100
committer Matteo Bernardini2020-11-22 10:24:51 +0100
commit07982576a52d9aba0f4341bdb88683e2c66b0185 (patch)
tree20d0055ca93a96c0aa46a4a343b731652ac7525c
parentd16bcf418dcbbf01c065787ba1defff73d4d4f3c (diff)
downloadslackbuilds-perl-Tk-TableMatrix.tar.gz
perl/perl-Tk-TableMatrix: Updated for version 20201024_2c4c333.perl-Tk-TableMatrix
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--perl/perl-Tk-TableMatrix/pTk-1.22.patch18
-rw-r--r--perl/perl-Tk-TableMatrix/perl-Tk-TableMatrix.SlackBuild15
-rw-r--r--perl/perl-Tk-TableMatrix/perl-Tk-TableMatrix.info6
3 files changed, 9 insertions, 30 deletions
diff --git a/perl/perl-Tk-TableMatrix/pTk-1.22.patch b/perl/perl-Tk-TableMatrix/pTk-1.22.patch
deleted file mode 100644
index ff9938535b..0000000000
--- a/perl/perl-Tk-TableMatrix/pTk-1.22.patch
+++ /dev/null
@@ -1,18 +0,0 @@
---- pTk/Makefile.PL.old 2006-05-01 18:09:31.000000000 -0400
-+++ pTk/Makefile.PL 2006-05-01 18:10:05.000000000 -0400
-@@ -234,11 +234,11 @@ sub MY::postamble {
- my $self = shift;
- my $dep = $self->Tk::MMutil::mTk_postamble;
-
--$dep .= $self->dir_target(@{$self->{'dir_targets'}});
--
--$dep .= "config :: " . join(" \\\n\t",map($self->catfile($_,".exists"),@{$self->{'dir_targets'}})) .
-- "\n\t".$self->{NOECHO}."\$(NOOP)\n";
-
-+if ($Tk::MMutil::IsWin32 or ($win_arch eq 'MSWin32' and $^O eq 'cygwin'))
-+ {
-+ my $cc = $Config{'cc'};
-+ }
-
- $dep . '
-
diff --git a/perl/perl-Tk-TableMatrix/perl-Tk-TableMatrix.SlackBuild b/perl/perl-Tk-TableMatrix/perl-Tk-TableMatrix.SlackBuild
index 76b6f4c997..cdcec4fb3a 100644
--- a/perl/perl-Tk-TableMatrix/perl-Tk-TableMatrix.SlackBuild
+++ b/perl/perl-Tk-TableMatrix/perl-Tk-TableMatrix.SlackBuild
@@ -26,7 +26,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-Tk-TableMatrix
-VERSION=${VERSION:-1.23}
+VERSION=${VERSION:-20201024_2c4c333}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -34,7 +34,7 @@ SRCNAM=Tk-TableMatrix
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -45,8 +45,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -65,7 +65,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $SRCNAM-$VERSION
-tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z
cd $SRCNAM-$VERSION
chown -R root:root .
find -L . \
@@ -74,19 +74,16 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-patch -p0 < $CWD/pTk-1.22.patch
-
perl Makefile.PL \
PREFIX=/usr \
INSTALLDIRS=vendor \
INSTALLVENDORMAN1DIR=/usr/man/man1 \
INSTALLVENDORMAN3DIR=/usr/man/man3
make
-make test
make install DESTDIR=$PKG
# This file is part of perl-tk so nuke it.
-rm $PKG/usr/lib$LIBDIRSUFFIX/perl5/vendor_perl/auto/Tk/pTk/extralibs.ld
+rm $PKG/usr/lib$LIBDIRSUFFIX/perl5/vendor_perl/auto/Tk/pTk/extralibs.ld || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/perl/perl-Tk-TableMatrix/perl-Tk-TableMatrix.info b/perl/perl-Tk-TableMatrix/perl-Tk-TableMatrix.info
index 10c04a8be7..2070d483f4 100644
--- a/perl/perl-Tk-TableMatrix/perl-Tk-TableMatrix.info
+++ b/perl/perl-Tk-TableMatrix/perl-Tk-TableMatrix.info
@@ -1,8 +1,8 @@
PRGNAM="perl-Tk-TableMatrix"
-VERSION="1.23"
+VERSION="20201024_2c4c333"
HOMEPAGE="https://metacpan.org/pod/Tk::TableMatrix"
-DOWNLOAD="https://cpan.metacpan.org/authors/id/C/CE/CERNEY/Tk-TableMatrix-1.23.tar.gz"
-MD5SUM="6b7653d129bf1a8327054a88b58d6364"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/Tk-TableMatrix-20201024_2c4c333.tar.xz"
+MD5SUM="456a715c97e2147dcdae0da49a477e6d"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="perl-tk"